## apparmor-easyprof-ubuntu 1.0.40

=== debian/changelog ===
apparmor-easyprof-ubuntu (1.0.40) saucy; urgency=low

  * unconfined template: updates for terminal app
    - due to AF_UNIX use attach_disconnected
    - allow mount, remount and umount

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 15 Oct 2013 08:37:54 -0500

apparmor-easyprof-ubuntu (1.0.39) saucy; urgency=low

  * friends: add dbus receive to interface=com.canonical.Dee.Peer
  * ubuntu-* templates:
    - add 'r' for ~/.config/user-dirs.dirs
    - remove temporary vs-thumb /usr/share access now that it is fixed
      (LP: #1235325)
  * calendar: also allow CalendarView (LP: #1239073)

 -- Jamie Strandboge <jamie@ubuntu.com>  Sun, 13 Oct 2013 21:55:36 -0500

apparmor-easyprof-ubuntu (1.0.38) saucy; urgency=low

  * ubuntu-* templates: move /run/shm/hybris_shm_data access out of the
    camera policy group into the templates since a recent hybris change
    requires this in all apps (LP: #1237539)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 09 Oct 2013 12:47:53 -0500

apparmor-easyprof-ubuntu (1.0.37) saucy; urgency=low

  * hardware/graphics.d/apparmor-easyprof-ubuntu_grouper: allow 'rw' to
    /dev/knvmap (LP: #1237436)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 09 Oct 2013 09:29:56 -0500

apparmor-easyprof-ubuntu (1.0.36) saucy; urgency=low

  * ubuntu-* templates:
    - due to AF_UNIX use attach_disconnected and allow rw on
      /dev/socket/property_service (LP: #1208988)
    - add temporary workaround to use /tmp/mir_socket (LP: 1236912)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 08 Oct 2013 13:11:46 -0500

apparmor-easyprof-ubuntu (1.0.35) saucy; urgency=low

  * apparmor-easyprof-ubuntu.install: install data/hardware/*, thus allowing
    porters, OEMs, etc to ship their own policy without having to modify this
    package (LP: #1197133)
  * add data/hardware/graphics.d/* and data/hardware/audio.d/*, namespaced to
    this package. We will move these out to lxc-android-config later
  * tests/test-data.py: adjust to test data/hardware/*
  * accounts: move to reserved status until LP: 1230091 is fixed
  * calendar: remove workaround rule for gio DBus path (LP: #1227295)
  * add usermetrics policy group so apps can update the infographic
  * ubuntu-* templates:
    - allow StartServiceByName on the system bus too. This is needed by the
      new usermetrics policy group and we will presumably have more going
      forward (eg location)
    - account for /org/freedesktop/dbus object path. This seems to be used by
      the python DBus bindings (eg, friends)
    - move hardware specific accesses out of the templates into
      hardware/graphics.d/ in preparation of the move to shipping these in
      lxc-android-config (note, this doesn't change apparmor policy in any
      way)
    - add 'r' to dbus system bus socket (LP: #1208988)
    - add ixr access to thumbnailer helper (LP: #1234543)
    - finetune HUD access
    - don't use ibus abstraction but instead use 'r' access for
      owner @{HOME}/.config/ibus/**
    - don't use freedesktop.org abstraction but instead add read accesses
      for /usr/share/icons and various mime files
    - updates for new gstreamer
      - move in gstreamer accesses from audio policy groupd due to hybris
  * ubuntu-sdk template:
    - remove workaround paths now that ubuntu-ui-toolkit is using
      QCoreApplication::applicationName based on MainView's applicationName
      (LP: #1197056, #1197051, #1224126, LP: #1231863)
  * ubuntu-webapp template:
    - allow read access to /usr/share/unity-webapps/userscripts/**
    - allow rix to gst-plugin-scanner
  * add reserved friends policy group (reserved because it needs integration
    with trust-store to be used by untrusted apps)
  * remove peer from receive DBus rules in the ubuntu-* templates and the
    contacts, history, and location policy groups (LP: #1233895)
  * audio:
    - move gstreamer stuff out to templates since hybris pulls it in for all
      apps
    - include hardware/audio.d for hardware specific accesses

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 07 Oct 2013 13:18:27 -0500

apparmor-easyprof-ubuntu (1.0.34) saucy; urgency=low

  * ubuntu-* templates: allow read access to themes in /custom (LP: #1229471)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 24 Sep 2013 10:27:02 -0500

apparmor-easyprof-ubuntu (1.0.33) saucy; urgency=low

  * ubuntu-webapp: allow reexec for webbrowser-app to handle webapps launched
    via upstart-app-launch (LP: #1228236)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 20 Sep 2013 11:46:35 -0500

apparmor-easyprof-ubuntu (1.0.32) saucy; urgency=low

  * accounts:
    - needs lock ('k') access to .config/libaccounts-glib/accounts.db and read
      access to .config/libaccounts-glib/accounts.db*.
    - read access to /usr/share/accounts/**
    - deny write to .config/libaccounts-glib/accounts.db* (LP: #1220552)
  * refine audio policy group:
    - remove /tmp/ accesses now that TMPDIR is set by the sandbox
    - allow access to only the native socket (ie, disallow dbus-socket (only
      needed by pacmd), access to pid and the cli debugging socket)
      (LP: #1211380)
    - remove 'w' access to /{,var/}run/user/*/pulse/ - this should already
      exist when click apps run
    - remove /dev/binder, no longer needed now that we use audio HAL and
      pulseaudio
    - silence the denial for creating ~/.gstreamer-0.10/ if it doesn't exist
  * camera:
    - add rw for /dev/ashmem. This will go away when camera moves to HAL
    - rw /run/shm/hybris_shm_data
    - add read on /android/system/media/audio/ui/camera_click.ogg
  * connectivity:
    - add policy as used by QML's QtSystemInfo and also Qt's QHostAddress,
      QNetworkInterface
    - add commented out rules for ofono (LP: 1226844)
  * finalize content_exchange policy for the content-hub. We now have two
    different policy groups: content_exchange for requesting/importing data
    and content_exchange_source for providing/exporting data
  * microphone:

