=== debian/control ===
Source: apparmor-easyprof-ubuntu
Section: admin
Priority: optional
Maintainer: Jamie Strandboge <jamie@ubuntu.com>
Build-Depends: debhelper (>= 9), python3-minimal
Standards-Version: 3.9.3

Package: apparmor-easyprof-ubuntu
Architecture: all
Depends: ${misc:Depends}, apparmor (>= 2.8.0-0ubuntu26)
Description: AppArmor easyprof templates for Ubuntu
 Provides AppArmor easyprof templates and policygroups suitable for use with
 the Ubuntu app ecosystem.
