## apparmor-easyprof-ubuntu 1.1.16

=== debian/changelog ===
apparmor-easyprof-ubuntu (1.1.16) trusty; urgency=medium

  * 1.1/webview: update to allow exec of chrome-sandbox now that oxide is
    doing a proper fork/exec

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 09 Apr 2014 13:58:10 -0500

apparmor-easyprof-ubuntu (1.1.15) trusty; urgency=medium

  * 1.*/unconfined: update for ptrace and signal
  * 1.1/music_files*: add rules for talking to the media-hub-server and read
    access to mediascanner files
  * 1.1/video_files*: add rules for talking to the media-hub-server and read
    access to mediascanner files

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 08 Apr 2014 07:09:42 -0500

apparmor-easyprof-ubuntu (1.1.14) trusty; urgency=medium

  * 1.1/webview: update for ptrace and signal mediation (LP: #1298611)
  * debian/control: Depends on apparmor >= 2.8.95~2430-0ubuntu4

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 03 Apr 2014 15:19:23 -0500

apparmor-easyprof-ubuntu (1.1.13) trusty; urgency=medium

  * 1.1/webview (LP: #1301351)
    - add 'mr' for chrome-sandbox and oxide-renderer
    - allow 'r' for @{PROC}/sys/kernel/yama/ptrace_scope

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 02 Apr 2014 09:11:49 -0500

apparmor-easyprof-ubuntu (1.1.12) trusty; urgency=medium

  * 1.1/webview: suppress denial for write to /usr/bin/locales/ like we do for
    /usr/lib/@{multiarch}/oxide-qt/locales/ already since it is confusing for
    people who are diagnosing oxide issues (LP: #1260044)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 31 Mar 2014 13:14:37 -0500

apparmor-easyprof-ubuntu (1.1.11) trusty; urgency=medium

  * 1.0/ubuntu-*: explicitly deny access to oxide files so webbrowser-app's
    fallback mechanism to QtWebKit works correctly. This is needed so 13.10
    framework webapps don't regress
  * 1.1/webview: prevent certificate db poisoning and disallow write access to
    @{HOME}/.pki/nssdb/*. Note, while this prevents cert attacks, it doesn't
    prevent information disclosure so once LP: 1260048 is fixed in oxide, we
    can remove the read access.

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 28 Mar 2014 09:57:13 -0500

apparmor-easyprof-ubuntu (1.1.10) trusty; urgency=medium

  * 1.*/ubuntu-*:
    - add read access to /usr/share/unity/icons/**. Why this isn't under
      /usr/share/icons/unity instead, I don't know, but the access is
      harmless, so allow it. This is currently needed by the gallery
    - explicitly deny access to com.canonical.snapdecisions interface
      (LP: #1291234)
  * 1.*/friends: allow freedesktop.org notifications which is needed by the
    gallery app to show that a picture has been uploaded (LP: #1279969)
  * debian/control: Build-Depends on apparmor-easyprof since it is needed by
    the testsuite. This is needed because dh-apparmor now only Suggests
    apparmor-easyprof

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 24 Mar 2014 17:20:42 -0500

apparmor-easyprof-ubuntu (1.1.9) trusty; urgency=medium

  * adjustments for Qt5.2
    - 1.*/networking: like with other NetworkManager access, explicitly deny
      connecting to peer=(name=org.freedesktop.NetworkManager)
  * 1.1/content_exchange: deny 'w' on ~/.cache/@{APP_PKGNAME}/HubIncoming/**.
    The content-hub will create hard links in this directory for volatile
    data, but using hard links means the content source file could be modified
    by the app. This prevents that. (LP: #1293771)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 17 Mar 2014 15:04:33 -0500

apparmor-easyprof-ubuntu (1.1.8) trusty; urgency=medium

  * 1.*/ubuntu-sdk: allow accesses to workaround intel driver crash on X
    - allow read of /sys/devices/pci[0-9]*/**/uevent
    - allow read of /etc/udev/udev.conf
    - explicityly deny /run/udev/data/**, like we do elsewhere
    - LP: #1286162

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 05 Mar 2014 12:16:44 -0600

apparmor-easyprof-ubuntu (1.1.7) trusty; urgency=medium

  * 1.*/ubuntu-sdk: /usr/share/ubuntu-html5-theme moved to
    /usr/share/ubuntu-html5-ui-toolkit (LP: #1287297)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 03 Mar 2014 12:18:22 -0600

apparmor-easyprof-ubuntu (1.1.6) trusty; urgency=medium

  * add hardware/graphics.d/apparmor-easyprof-ubuntu_flo
  * update hardware/graphics.d/apparmor-easyprof-ubuntu_mako: allow read of
    /sys/devices/platform/kgsl-3d0.0/kgsl/kgsl-3d0/gpuclk r,
  * 1.*/ubuntu-*: add read for /sys/devices/system/cpu/

 -- Jamie Strandboge <jamie@ubuntu.com>  Sat, 22 Feb 2014 11:22:12 -0600

apparmor-easyprof-ubuntu (1.1.5) trusty; urgency=medium

  * 1.0/ubuntu-sdk: add read to qtdeclarative5-ubuntu-ui-extras-browser-plugin
    for applications that use UbuntuWebview (LP: #1280293)
  * 1.1/webview: add read to qtdeclarative5-ubuntu-ui-extras-browser-plugin.
    With 1.1 we will use oxide so all applications using UbuntuWebview will
    need to specify this policy group, so just add it here rather than
    the ubuntu-sdk template
  * adjust ubuntu-* templates to allow read to /usr/share/libthai/thbrk.tri
    as a temporary fix until the AppArmor fonts abstraction has the real fix
    (LP: #1278702)
  * 1.1/ubuntu-webapp: explicitly deny noicy read access to /sys/bus/ and
    /sys/class/

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 18 Feb 2014 09:00:55 -0600

apparmor-easyprof-ubuntu (1.1.4) trusty; urgency=medium

  * 1.*/ubuntu-sdk: adjust for ubuntu-html5-app-launcher (LP: #1274640)
    - allow reexec for /usr/bin/ubuntu-html5-app-launcher to handle HTML5 apps
      launched via upstart-app-launch
    - allow read access to /usr/share/ubuntu-html5-app-launcher/**
  * 1.*/accounts:
    - allow read on @{HOME}/.local/share/accounts/** to dereference click
      symlinks for online accounts providers (LP: #1278859)
    - add comment about usage of com.nokia.singlesignonui.cookiesForIdentity
  * 1.*/networking: finetune DownloadManager DBus access (LP: #1277578)
    - explicitly allow safe and explicitly disallow unsafe DownloadManager
      APIs

