=== debian/tests/control ===
Tests: installed_policy_groups installed_templates
Depends: @, apparmor, apparmor-easyprof
