## apparmor-easyprof-ubuntu 1.2.38

=== debian/changelog ===
apparmor-easyprof-ubuntu (1.2.38) utopic; urgency=medium

  * ubuntu/networking: add rules for app-specific ubuntu-download-manager
    file downloads (LP: #1384349)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 22 Oct 2014 14:13:44 -0400

apparmor-easyprof-ubuntu (1.2.37) utopic; urgency=medium

  * ubuntu/audio: also allow access to GetArtistArt when accessing the
    thumbnailer (LP: #1381102)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 14 Oct 2014 09:37:24 -0500

apparmor-easyprof-ubuntu (1.2.36) utopic; urgency=medium

  * ubuntu/accounts: allow all on org.freedesktop.DBus.Properties for
    /com/google/code/AccountsSSO/SingleSignOn/** (LP: #1378809)
  * ubuntu/ubuntu-*, pending/ubuntu-scope-local-content, ubuntu/webview: also
    allow read on /android/system/build.prop (LP: #1378838)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 08 Oct 2014 08:28:17 -0500

apparmor-easyprof-ubuntu (1.2.35) utopic; urgency=medium

  * ubuntu/1.2/push-notification-client: don't deny access to the clipboard
    since sdk apps are supposed to be able to specify this policy group
  * ubuntu/1.2: add ubuntu-push-helper for push-helpers to use which (among
    other things) explicitly disables access to the clipboard (LP: #1371170)
  * adjust autopackagetest for ubuntu-push-helper
  * ubuntu/accounts: allow all on org.freedesktop.DBus.Properties for
    /com/google/code/AccountsSSO/SingleSignOn
  * ubuntu/1.2/ubuntu-scope-network, pending/ubuntu-scope-local-content: also
    add remaining libhybris paths (/{,var/}run/shm/hybris_shm_data and
    /system/build.prop)
  * ubuntu/ubuntu-sdk: explicitly disallow gsettings (dconf) access
    (LP: #1378115)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 06 Oct 2014 10:41:18 -0500

apparmor-easyprof-ubuntu (1.2.34) utopic; urgency=medium

  * ubuntu/1.[12]/ubuntu-{sdk,webapp}: re-add still needed rule for
    /{,run/}shm/shm/WK2SharedMemory.[0-9]*. This needs to stay until qtwebkit
    is removed from the image (LP: #1377648)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 06 Oct 2014 07:10:09 -0500

apparmor-easyprof-ubuntu (1.2.33) utopic; urgency=medium

  * ubuntu/accounts: allow access to GetAll on org.freedesktop.DBus.Properties
    for /com/google/code/AccountsSSO/SingleSignOn (LP: #1377205)
  * ubuntu/webview: also deny access to /custom/etc/dconf_profile. This is
    fallout from Oxide trying to use gsettings, but we've been silently
    denying that access since the webview policy group was added, so just
    silence this denial too (LP: #1260101)
  * ubuntu/ubuntu-{sdk,webapp}: also allow talking to clipboard on freedesktop
    interface (LP: #1377221)
  * tests/test-data.py: update hardware dir handling and also adjust policy
    groups to use tmpdir
  * debian/control: Build-Depends on apparmor so we can check syntax during
    builds

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 03 Oct 2014 10:21:33 -0500

apparmor-easyprof-ubuntu (1.2.32) utopic; urgency=medium

  * ubuntu/1.2/ubuntu-scope-network, pending/ubuntu-scope-local-content:
    allow access to android libraries (LP: #1376430)
  * ubuntu/ubuntu-{sdk,webapp}: allow read access for thumbnailer icons
    (LP: #1376436)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 01 Oct 2014 15:13:35 -0500

apparmor-easyprof-ubuntu (1.2.31) utopic; urgency=medium

  * ubuntu/ubuntu-{sdk,webapp}: allow apps to read and write to their
    app-specific QML cached bytecode (LP: #1376361)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 01 Oct 2014 12:18:29 -0500

apparmor-easyprof-ubuntu (1.2.30) utopic; urgency=medium

  * ubuntu/ubuntu-*: add owner /{run,dev}/shm/shmfd-* rwk (LP: #1370218)
  * ubuntu/microphone: remove shmfd access since it is in the templates now

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 30 Sep 2014 09:33:57 -0500

apparmor-easyprof-ubuntu (1.2.29) utopic; urgency=medium

  * ubuntu/webview: explicitly deny write access to @{PROC}/[0-9]*/oom_adj
    and @{PROC}/[0-9]*/oom_score_adj. This is confirmed as a way to escape
    application lifecycle (LP: #1260115)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 29 Sep 2014 12:28:39 -0500

apparmor-easyprof-ubuntu (1.2.28) utopic; urgency=medium

  * ubuntu/calendar: add missing rule for org.freedesktop.DBus.Introspectable
    on path /com/canonical/indicator/datetime/AlarmProperties (LP: #1374623)
  * ubuntu/1.[12]/ubuntu-{sdk,webapp}: remove no longer needed rule for
    /{,run/}shm/shm/WK2SharedMemory.[0-9]* (LP: #1197060)
  * ubuntu/microphone:
    - add temporary write access to /{run,dev}/shm/shmfd-* for QAudioRecorder
      (LP: #1370218)
    - explicitly deny read on /dev/
  * ubuntu/1.1/webview: allow dbus send to RequestName on org.freedesktop.DBus
    webapp-container needs corresponding 'bind' call on
    org.freedesktop.Application, which we block elsewhere. webapp-container
    shouldn't be doing this under confinement, but we allow this rule in
    content_exchange, so just allow it to avoid confusion. (LP: #1357371)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 26 Sep 2014 15:21:37 -0500

apparmor-easyprof-ubuntu (1.2.27) utopic; urgency=medium

  * ubuntu/ubuntu-{sdk,webapp}: all apps can access the Mir clipboard
    (LP: #1372579). Note, LP: 1371170 will be fixed in a future update
  * ubuntu/push-notification-client: explit deny (with auditing) for access
    to the Mir clipboard (background apps should not have access)
  * ubuntu/ubuntu-scope-network: explicit deny (with auditing) for access
    to the Mir clipboard (scopes should not have access)
  * pending/ubuntu-scope-local-content: bring up to date with changes to
    ubuntu-scope-network

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 23 Sep 2014 09:07:00 -0500

apparmor-easyprof-ubuntu (1.2.26) utopic; urgency=medium

  * ubuntu/{audio,video}: allow mediascanner to send us signals

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 22 Sep 2014 10:49:21 -0500

apparmor-easyprof-ubuntu (1.2.25) utopic; urgency=medium


