## apparmor-easyprof-ubuntu 15.10.11

=== debian/changelog ===
apparmor-easyprof-ubuntu (15.10.11) wily; urgency=medium

  * adjust autopkgtests for in-app-purchases

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 21 Sep 2015 17:02:52 -0500

apparmor-easyprof-ubuntu (15.10.10) wily; urgency=medium

  [ Rodney Dawes ]
  * Add in-app-purchases policy group for IAP support (LP: #1498202)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 21 Sep 2015 16:48:49 -0500

apparmor-easyprof-ubuntu (15.10.9) wily; urgency=medium

  [ Alberto Mardegan ]
  * ubuntu/15.10/accounts: add back v1 API

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 10 Sep 2015 10:38:22 -0500

apparmor-easyprof-ubuntu (15.10.8) wily; urgency=medium

  [ Alberto Mardegan ]
  * ubuntu/15.10/accounts: use only the new Online Accounts v2 API
  * ubuntu/1.[23]/accounts: add the new Online Accounts v2 API
  * ubuntu/15.10/ubuntu-account-plugin: add the required v1 API

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 29 Jul 2015 15:16:07 -0500

apparmor-easyprof-ubuntu (15.10.7) wily; urgency=medium

  * ubuntu/ubuntu-webapp: allow read access to /usr/share/ubuntu-html5-theme
    and /usr/share/ubuntu-html5-ui-toolkit (LP: #1477580)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 23 Jul 2015 16:16:49 -0500

apparmor-easyprof-ubuntu (15.10.6) wily; urgency=medium

  * add ubuntu/keep-display-on for using the Unity screen DBus API
    - LP: #1462489
  * adjust autopkgtests for keep-display-on

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 08 Jul 2015 09:11:56 -0500

apparmor-easyprof-ubuntu (15.10.5) wily; urgency=medium

  * ubuntu/ubuntu-account-plugin (LP: #1468792):
    - allow access to QML cache
    - explicitly deny access to /proc/[0-9]*/mounts and /dev/disk/by-label/
  * hardware/graphics.d/apparmor-easyprof-ubuntu_(hammerhead|mako|flo):
    also allow access to kgsl-3d0.0/kgsl/kgsl-3d0/reset_count

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 26 Jun 2015 10:47:37 -0500

apparmor-easyprof-ubuntu (15.10.4) wily; urgency=medium

  [ Ken VanDine ]
  * Fixed the interface name for the SocketDemangler rule in the ubuntu-sdk
    template and added rule to allow the socket-demangler to be executed.

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 19 Jun 2015 08:09:46 -0500

apparmor-easyprof-ubuntu (15.10.3) wily; urgency=medium

  * ubuntu/unconfined: remove autopilot specific rules and use simpler
    '/** pix,' rule. This is possible because dbus-property-service no longer
    ships 'fakeenv' rules. This is only backportable on earlier releases if
    dbus-property-service in those releases has the same change.
    (LP: #1464341)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 12 Jun 2015 09:59:18 -0500

apparmor-easyprof-ubuntu (15.10.2) wily; urgency=medium

  [ Ted Gould ]
  * ubuntu/ubuntu-sdk: DBus rule for UAL TPS untrusted helpers (LP: #1462494)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 05 Jun 2015 14:17:58 -0500

apparmor-easyprof-ubuntu (15.10.1) wily; urgency=medium

  [ James Henstridge ]
  * ubuntu/ubuntu-sdk: add rules to allow access to the new GetThumbnail
    method

  [ Jamie Strandboge ]
  * create policy version 15.10 for wily
  * adjust autopkgtests for policy version 15.10
  * README.source: update for new version numbers that track releases

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 21 May 2015 09:09:16 -0500
