## apparmor-easyprof-ubuntu 16.04.5

=== debian/changelog ===
apparmor-easyprof-ubuntu (16.04.5) xenial; urgency=medium

  * ubuntu/calendar: update to allow read on /etc/{,writable/}timezone
    (LP: #1565908)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 04 Apr 2016 12:50:18 -0500

apparmor-easyprof-ubuntu (16.04.4) xenial; urgency=medium

  [ Jamie Strandboge ]
  * adjust cpuinfo_max_freq access for newer kernels
  * ubuntu/calendar: update policy to account for newer EDS Subprocess path
    on the org.gnome.evolution.dataserver.Calendar interface (LP: #1548888)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 23 Feb 2016 16:50:56 -0600

apparmor-easyprof-ubuntu (16.04.3) xenial; urgency=medium

  [ Tiago Salem Herrmann ]
  * ubuntu/history: add owner read access to
    @{HOME}/.local/share/history-service/attachments/

  [ Jamie Strandboge ]
  * ubuntu/webview: apply shm changes in last upload to previous policy and
    adjust symlinks (LP: #1538475)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 27 Jan 2016 08:16:28 -0600

apparmor-easyprof-ubuntu (16.04.2) xenial; urgency=medium

  * ubuntu/ubuntu-sdk:
    - apply shm changes in last upload to previous policy and adjust symlinks
    - allow read access to /usr/share/click/frameworks

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 19 Nov 2015 15:00:52 -0600

apparmor-easyprof-ubuntu (16.04.1) xenial; urgency=medium

  * create policy version 16.04 for xenial
  * adjust autopkgtests for policy version 15.10
  * ubuntu/ubuntu-sdk, ubuntu/webview: allow /dev/shm in addition to /run/shm
    (LP: #1508054)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 26 Oct 2015 15:52:48 -0500
