=== debian/control ===
Source: apparmor-easyprof-ubuntu
Section: admin
Priority: optional
Maintainer: Jamie Strandboge <jamie@ubuntu.com>
Build-Depends: debhelper (>= 9), python3-minimal, apparmor-easyprof, apparmor
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Vcs-Bzr: https://code.launchpad.net/~ubuntu-security/apparmor-easyprof-ubuntu/trunk
Vcs-Browser: https://code.launchpad.net/~ubuntu-security/apparmor-easyprof-ubuntu/trunk

Package: apparmor-easyprof-ubuntu
Architecture: all
Depends: ${misc:Depends}, apparmor (>= 2.9.1-0ubuntu4~)
Description: AppArmor easyprof templates for Ubuntu
 Provides AppArmor easyprof templates and policygroups suitable for use with
 the Ubuntu app ecosystem.
