## apparmor-easyprof-ubuntu 16.10.3

=== debian/changelog ===
apparmor-easyprof-ubuntu (16.10.3) yakkety; urgency=medium

  [ Michi Henning ]
  * add ClientConfig to list of allowed methods for applications using the
    thumbnailer (LP: #1528058)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 26 Aug 2016 10:01:48 -0500

apparmor-easyprof-ubuntu (16.10.2) yakkety; urgency=medium

  [ You-Sheng Yang ]
  * add lib64 for 64bit android (LP: #1615923)

  [ Simon Fels ]
  * Allow libhybris to load its linker implementation at runtime.

  [ Tyler Hicks ]
  * ubuntu/webview: update to allow access to the new app-specific shared
    memory files that will be used by Oxide 1.17.5, 1.18, and newer
    (LP: #1260103)

  [ Ken Vandine ]
  * ubuntu/ubuntu-sdk, ubuntu/ubuntu-webapp: add access to content-hub's
    Pasteboard

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 25 Aug 2016 13:32:04 -0500

apparmor-easyprof-ubuntu (16.10.1) yakkety; urgency=medium

  * add 16.10 policy
  * add bluetooth-net and bluetooth-file-transfer to pending/
  * add reserved ubuntu/bluetooth (LP: #1569582)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 10 May 2016 16:21:46 -0500
